KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm certs certificate-key - Generate certificate keys

SYNOPSIS

kubeadm certs certificate-key [OPTIONS]

DESCRIPTION

This command will print out a secure randomly-generated certificate key that can be used with the "init" command.

You can also use "kubeadm init --upload-certs" without specifying a certificate key and it will generate and print one for you.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-certs(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!